> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/custom-apps-documentation/component-blocks/api/request-less-communication.md).

# Request-less communication

When you need the module to output some static (or computed) content, you can use the request-less/static mode by omitting the URL and specifying only the `response.output` directives.

## Specification

You can mix static definitions with normal requests and have more than two static requests.

When using this mode, the following directives are completely ignored: `method`, `qs`, `headers`, `body`, `ca`, `type`and `pagination` - almost all request-related directives.

All response-related directives, such as `response.output`, `response.wrapper`, `response.iterate` are available, as well as `response.valid` and `response.error`. However, the latter directives lose their value in static mode.

## Examples

### **Example 1**:

{% tabs %}
{% tab title="Example 1 " %}

```json
{
    "response": {
        "output": {
            "id": "{{parameters.itemId}}",
            "text": "[{{parameters.itemId}}] {{parameters.text}}"
        }
    }
}
```

{% endtab %}

{% tab title="Example 2" %}

```json
[
  {
    "condition": "{{parameters.mode == 'self'}}",
    "response": {
      "output": {
        "text": "No items"
      }
    }
  },
  {
    "condition": "{{parameters.mode != 'self'}}",
    "response": {
      "output": {
        "text": "Some items found"
      }
    }
  }
]
```

{% hint style="info" %}
Includes different outputs depending on condition.
{% endhint %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/custom-apps-documentation/component-blocks/api/request-less-communication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
